Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle 8i : PRO*COBOL not found?

Engo Armand-Blaise
Frequent Advisor

Oracle 8i : PRO*COBOL not found?

After installing the Oracle 8i on HP-UNIX B.11 box, I realized that the Cobol Compiler does not exist. By using the Oracle 8.0.6, I have a file named "procob18". So, what is the equivzlent one in Oracle8i?

Would you please tell me if it is normal to have this directory "precomp" without or other name :


cyb_hpux [ /cyborg/app/oracle/product/817/precomp ] $ ll
total 6
drwxr-xr-x 2 oracle dba 96 Feb 18 08:24 admin
drwxr-xr-x 3 oracle dba 96 Feb 18 08:19 demo
drwxr-xr-x 4 oracle dba 96 Feb 18 08:24 doc
drwxr-xr-x 2 oracle dba 1024 Feb 18 13:01 lib
drwxr-xr-x 2 oracle dba 1024 Feb 18 08:24 mesg
drwxr-xr-x 2 oracle dba 1024 Feb 18 12:57 public

4 REPLIES
Henrique Silva_3
Regular Advisor

Re: Oracle 8i : PRO*COBOL not found?

Yes, on 8i, all development tools are in the client install.

Go back to to Oracle Universal Installer, and start a new installation, but when it asks whether you want the rdbms server or client tools, choose client tools, and either customize what you want or install the programmer package, which has everything you want.

Cheers,

Henrique Silva
"to be or not to be, what was the question ???? "
Ravi_8
Honored Contributor

Re: Oracle 8i : PRO*COBOL not found?

Hi,

In oracle 8i all developement tools will be under client. start the oracle installation($runInstaller) and choose client installation --> custom --> choose developement tools
never give up
Ravi_8
Honored Contributor

Re: Oracle 8i : PRO*COBOL not found?

Hi,

In oracle 8i all developement tools will be under client. start the oracle installation($runInstaller) and choose client installation --> custom --> choose developement tools where you can get Pro C, Cobol ..
never give up
Jean-Luc Oudart
Honored Contributor

Re: Oracle 8i : PRO*COBOL not found?

Precompiler :
the "old" procob1.8
and the latest procob 8.x

Oracle advise to use the latest one.

cf. Metalink note :73409.1

Rgds,
Jean-Luc
PS : you to custom installation to select the right procobol version.
fiat lux